Orgs Connections
Deregister a WhatsApp phone number
Deregister the phone number from the Cloud API; it stays on the WhatsApp Business account and can be registered again.
POST
/
orgs
/
{org_id}
/
connections
/
{connection_id}
/
whatsapp
/
phone-numbers
/
{phone_number_id}
/
deregister
Deregister a WhatsApp phone number
curl --request POST \
--url https://api.useinvent.com/orgs/{org_id}/connections/{connection_id}/whatsapp/phone-numbers/{phone_number_id}/deregister \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.useinvent.com/orgs/{org_id}/connections/{connection_id}/whatsapp/phone-numbers/{phone_number_id}/deregister"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.useinvent.com/orgs/{org_id}/connections/{connection_id}/whatsapp/phone-numbers/{phone_number_id}/deregister', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"waba_id": "<string>",
"display_phone_number": "<string>",
"verified_name": "<string>",
"status": "<string>",
"quality_score": {
"score": "<string>"
},
"name_status": "<string>",
"messaging_limit_tier": "<string>",
"platform_type": "<string>",
"account_mode": "<string>",
"is_official_business_account": true,
"is_pin_enabled": true,
"health": {
"can_send_message": "<string>",
"entities": [
{
"entity_type": "<string>",
"id": "<string>",
"can_send_message": "<string>",
"errors": [
{
"error_code": 123,
"error_description": "<string>",
"possible_solution": "<string>"
}
],
"additional_info": [
"<string>"
]
}
]
}
}Authorizations
Bearer token authentication using your API key
Path Parameters
The ID of the org
The ID of the connection
The ID of the WhatsApp phone number
Response
200 - application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
Previous
Get the WhatsApp Business account overviewAccount info, health, messaging limit, billing state and recent account activity, read through a Redis cache.
Next
⌘I
Deregister a WhatsApp phone number
